{ pkgs, modulesPath, ... }: {
  imports = [(modulesPath + "/profiles/minimal.nix")];

  ps4.enable = true;

  users.users.nixos = {
    isNormalUser = true;
    password = "nixos";
    extraGroups = [ "wheel" ];
  };

  services.getty.autologinUser = "nixos";

  users.defaultUserShell = pkgs.fish;
  programs.fish.enable = true;

  nix.settings.experimental-features = [ "nix-command" "flakes" ];

  system.stateVersion = "25.05";
}
